If you’ve been hanging onto your older Adobe CS3-CS6 apps, and have yet to take the Adobe CC plunge, you probably should avoid OS X 10.11. Although legacy Java 6 is available for El Capitan, which is required to run components of CS, there is a growing number of threads on the Adobe/Apple discussion boards that indicate attempting to run these older Adobe apps under El Capitan is nothing but trouble. Symptoms range from crashes to hangs, and the general consensus is these apps are use-at-your-own-risk. This should come as no surprise, as the official system requirements for Adobe CS6 are “Mac OS X v10.6.8 or v10.7”. Their lucky streak of running relatively stable through OS X 10.10 appears to be over.